## RygelRootDevice

RygelRootDevice — This represents a UPnP root device.

## Functions

RygelRootDevice * | rygel_root_device_new ()
GeeArrayList * | rygel_root_device_get_services ()

## Properties

GeeArrayList * | services | Read / Write

## Types and Values

#define | RYGEL_TYPE_ROOT_DEVICE
struct | RygelRootDevice
struct | RygelRootDeviceClass

## Object Hierarchy

        GObject
        ╰── GUPnPDeviceInfo
            ╰── GUPnPDevice
                ╰── GUPnPRootDevice
                    ╰── RygelRootDevice

## Description

Each Rygel plugin corresponds to one UPnP root device, so each RygelPlugin corresponds to one RygelRootDevice.

Rygel creates the RygelRootDevice by calling `rygel_root_device_factory_create()` with the plugin, having first instantiated the RygelRootDeviceFactory for a GUPnPContext.

## Functions

### rygel_root_device_new ()

    RygelRootDevice *
    rygel_root_device_new (GUPnPContext *context,
                           RygelPlugin *plugin,
                           GUPnPXMLDoc *description_doc,
                           const gchar *description_path,
                           const gchar *description_dir);

#### Parameters

context |  |
plugin |  |
description_doc |  |
description_path |  |
description_dir |  |

### rygel_root_device_get_services ()

    GeeArrayList *
    rygel_root_device_get_services (RygelRootDevice *self);

Get and return the current value of the "services" property.

#### Parameters

self | the RygelRootDevice instance to query |

#### Returns

the value of the "services" property

## Types and Values

### RYGEL_TYPE_ROOT_DEVICE

    #define RYGEL_TYPE_ROOT_DEVICE (rygel_root_device_get_type ())

The type for RygelRootDevice.

### struct RygelRootDevice

    struct RygelRootDevice;

This represents a UPnP root device.

Each Rygel plugin corresponds to one UPnP root device, so each RygelPlugin corresponds to one RygelRootDevice.

Rygel creates the RygelRootDevice by calling `rygel_root_device_factory_create()` with the plugin, having first instantiated the RygelRootDeviceFactory for a GUPnPContext.

### struct RygelRootDeviceClass

    struct RygelRootDeviceClass {
    	GUPnPRootDeviceClass parent_class;
    };

The class structure for `RYGEL_TYPE_ROOT_DEVICE`. All the fields in this structure are private and should never be accessed directly.

#### Members

## Property Details

### The `“services”` property

      “services”                 GeeArrayList *

services.

Flags: Read / Write